Get a role
GET
/roles/{id}Returns one role with its permission ids. An unknown id, another organisation's role and a service role return 404.
Path parameters
The role's id, a whole number from 1 to 2147483647. An unknown role, another organisation's role and a service role return 404.
Query parameters
Comma-separated top-level fields to return.
idis always returned.
Responses
{
"data": {
"id": 1,
"name": "string",
"label": "string",
"description": "string",
"global": true,
"permission_ids": [
1
],
"created_at": "2026-06-12T10:00:00+00:00",
"updated_at": "2026-06-12T10:00:00+00:00"
}
}403Error
Authorization failed. error.code is one of org_disabled,
ip_blocked, missing_scope, scope_disabled, user_disabled.
Examples
curl https://your-org-domain/kong/core/api/v2/roles/{id}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"